NFC_AmiiboConfig Struct Reference

AmiiboConfig structure, see also here: https://3dbrew.org/wiki/NFC:GetAmiiboConfig. More...

`#include <nfc.h>`

## Data Fields

u16 | lastwritedate_year
u8 | lastwritedate_month
u8 | lastwritedate_day
u16 | write_counter
u8 | characterID [3]
u8 | series
| the first element is the collection ID, the second the character in this collection, the third the variant
u16 | amiiboID
| ID of the series.
u8 | type
| ID shared by all exact same amiibo. Some amiibo are only distinguished by this one like regular SMB Series Mario and the gold one.
u8 | pagex4_byte3
| Type of amiibo 0 = figure, 1 = card, 2 = plush.
u16 | appdata_size
u8 | zeros [0x30]
| "NFC module writes hard-coded u8 value 0xD8 here. This is the size of the Amiibo AppData, apps can use this with the AppData R/W commands. ..."

## Detailed Description

AmiiboConfig structure, see also here: https://3dbrew.org/wiki/NFC:GetAmiiboConfig.

Examples
  nfc/source/main.c.

The documentation for this struct was generated from the following file:

- include/3ds/services/nfc.h